Loading...
Searching...
No Matches
BNO08x_global_types.hpp File Reference
`#include <driver/gpio.h>`
`#include <driver/spi_common.h>`
`#include <driver/spi_master.h>`
Include dependency graph for BNO08x_global_types.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | bno08x_config_t
| IMU configuration settings passed into constructor. More...

## Typedefs

using | IMUAccuracy = BNO08xAccuracy
using | IMUResetReason = BNO08xResetReason
typedef struct bno08x_config_t | bno08x_config_t
| IMU configuration settings passed into constructor.
typedef bno08x_config_t | imu_config_t

## Enumerations

enum class | BNO08xAccuracy { LOW = 1 , MED , HIGH , UNDEFINED }
| Sensor accuracy returned during sensor calibration. More...
enum class | BNO08xResetReason { UNDEFINED , POR , INT_RST , WTD , EXT_RST , OTHER }
| Reason for previous IMU reset (returned by get_reset_reason()) More...
enum class | BNO08xActivityEnable { UNKNOWN = (1U << 0U) , IN_VEHICLE = (1U << 1U) , ON_BICYCLE = (1U << 2U) , ON_FOOT = (1U << 3U) , STILL = (1U << 4U) , TILTING = (1U << 5U) , WALKING = (1U << 6U) , RUNNING = (1U << 7U) , ON_STAIRS = (1U << 8U) , ALL = 0x1FU }
| BNO08xActivity Classifier enable bits passed to enable_activity_classifier() More...
enum class | BNO08xActivity { UNKNOWN = 0 , IN_VEHICLE = 1 , ON_BICYCLE = 2 , ON_FOOT = 3 , STILL = 4 , TILTING = 5 , WALKING = 6 , RUNNING = 7 , ON_STAIRS = 8 , UNDEFINED = 9 }
| BNO08xActivity states returned from get_activity_classifier() More...
enum class | BNO08xStability { UNKNOWN = 0 , ON_TABLE = 1 , STATIONARY = 2 , UNDEFINED = 3 }
| BNO08xStability states returned from get_stability_classifier() More...

## Detailed Description

Author
  Myles Parfeniuk

## Typedef Documentation

## bno08x_config_t

typedef struct bno08x_config_t bno08x_config_t

IMU configuration settings passed into constructor.

## imu_config_t

typedef bno08x_config_t imu_config_t

## IMUAccuracy

using IMUAccuracy = BNO08xAccuracy

## IMUResetReason

using IMUResetReason = BNO08xResetReason

## Enumeration Type Documentation

## BNO08xAccuracy

enum class BNO08xAccuracy

strong

Sensor accuracy returned during sensor calibration.

Enumerator
LOW |
MED |
HIGH |
UNDEFINED |

## BNO08xActivity

enum class BNO08xActivity

strong

BNO08xActivity states returned from get_activity_classifier()

Enumerator
UNKNOWN |
IN_VEHICLE |
ON_BICYCLE |
ON_FOOT |
STILL |
TILTING |
WALKING |
RUNNING |
ON_STAIRS |
UNDEFINED |

## BNO08xActivityEnable

enum class BNO08xActivityEnable

strong

BNO08xActivity Classifier enable bits passed to enable_activity_classifier()

Enumerator
UNKNOWN |
IN_VEHICLE |
ON_BICYCLE |
ON_FOOT |
STILL |
TILTING |
WALKING |
RUNNING |
ON_STAIRS |
ALL |

## BNO08xResetReason

enum class BNO08xResetReason

strong

Reason for previous IMU reset (returned by get_reset_reason())

Enumerator
UNDEFINED | Undefined reset reason, this should never occur and is an error.
POR | Previous reset was due to power on reset.
INT_RST | Previous reset was due to internal reset.
WTD | Previous reset was due to watchdog timer.
EXT_RST | Previous reset was due to external reset.
OTHER | Previous reset was due to power other reason.

## BNO08xStability

enum class BNO08xStability

strong

BNO08xStability states returned from get_stability_classifier()

Enumerator
UNKNOWN |
ON_TABLE |
STATIONARY |
UNDEFINED |